"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CoreApiError = void 0;
class CoreApiError extends Error {
    constructor(err, httpResponse) {
        super(err.error?.message);
        this.details = err?.error;
        this.httpResponse = httpResponse;
    }
    get isCoreApiError() {
        return true;
    }
    static fromHttpResponse(res) {
        return new CoreApiError(res.data, res);
    }
}
exports.CoreApiError = CoreApiError;
