import { MaritalStatus } from './maritalStatus.js';
import { Address } from './address.js';
import { NationalId } from './nationalId.js';
import { Gender } from './gender.js';
import { Preferences } from './preferences.js';
export interface PersonWrite {
    address?: Address;
    birthDate: string;
    cellPhone?: string;
    cellPhoneVerified?: boolean;
    deceasedDate?: string | null;
    displayName: string;
    email?: string;
    emailVerified?: boolean;
    firstName: string;
    gender: Gender;
    homePhone?: string;
    lastName: string;
    maritalStatus: MaritalStatus;
    middleName?: string;
    nationalIds?: Array<NationalId>;
    preferences?: Preferences;
    profilePicture?: string;
}
