import { Role } from './role.js';
import { Org } from './org.js';
import { Person } from './person.js';
export interface RoleAssignment {
    isActive: boolean;
    lastChangedDate: string;
    org?: Org;
    orgUid?: string;
    person?: Person;
    personUid: string;
    role?: Role;
    roleUid: string;
    uid: string;
    validFrom: string;
    validTo?: string | null;
}
