export class CoreApiError extends Error {
    constructor(err, httpResponse) {
        super(err.error?.message);
        this.details = err?.error;
        this.httpResponse = httpResponse;
    }
    get isCoreApiError() {
        return true;
    }
    static fromHttpResponse(res) {
        return new CoreApiError(res.data, res);
    }
}
