import { PersonRelationType } from './personRelationType.js';
import { GrantType } from './grantType.js';
import { Person } from './person.js';
export interface PersonRelation {
    grantToOrigin: GrantType;
    grantToTarget: GrantType;
    target?: Person;
    targetUid: string;
    type: PersonRelationType;
    validFrom: string;
    validTo?: string | null;
}
