import { RelationType } from './relationType.js';
import { GrantType } from './grantType.js';
import { Person } from './person.js';
export interface Relation {
    grantToOrigin: GrantType;
    grantToTarget: GrantType;
    isActive: boolean;
    lastChangedDate: string;
    origin?: Person;
    originUid: string;
    target?: Person;
    targetUid: string;
    type: RelationType;
    uid: string;
    validFrom: string;
    validTo?: string | null;
}
