import { Org } from './org.js';
import { Person } from './person.js';
import { ConsentPurpose } from './consentPurpose.js';
export interface Consent {
    appUid: string;
    isActive: boolean;
    lastChangedDate: string;
    org?: Org;
    orgUid: string;
    person?: Person;
    personUid: string;
    processCode?: string;
    purpose: ConsentPurpose;
    scopes?: Array<string>;
    uid: string;
    validFrom: string;
    validTo?: string | null;
}
