import { Org } from './org.js';
import { Person } from './person.js';
import { AffiliationType } from './affiliationType.js';
export interface Affiliation {
    isActive: boolean;
    lastChangedDate: string;
    org?: Org;
    orgUid: string;
    person?: Person;
    personUid: string;
    type: AffiliationType;
    uid: string;
    validFrom: string;
    validTo?: string | null;
}
