export type ErrorCode = 'not-found' | 'invalid-query' | 'invalid-body' | 'invalid-key-reference' | 'duplicate-unique-key' | 'cannot-parse-token' | 'invalid-token' | 'missing-scopes' | 'internal-error' | 'unauthorized' | 'invalid-app-uid';
export declare const ErrorCode: {
    NotFound: ErrorCode;
    InvalidQuery: ErrorCode;
    InvalidBody: ErrorCode;
    InvalidKeyReference: ErrorCode;
    DuplicateUniqueKey: ErrorCode;
    CannotParseToken: ErrorCode;
    InvalidToken: ErrorCode;
    MissingScopes: ErrorCode;
    InternalError: ErrorCode;
    Unauthorized: ErrorCode;
    InvalidAppUid: ErrorCode;
};
